Subject: bug#48581: 27.2; Default value of lazy-highlight-buffer-max-at-a-time is too low

From: Juri Linkov <[email-masked]>
Date: Tue, 25 May 2021 23:29:56 +0300

> lazy-highlight-buffer-max-at-a-time | time to finish counting
> 20 (current setting)                | 1.5 s
> 50                                  | 0.8 s
> 100                                 | 0.6 s
> 200                                 | 0.5 s
> nil (do it all at once)             | 0.4 s
>
> Based on this, I would like to suggest changing the default to 200, or
> something in that order of magnitude.

Thanks for the suggestion.  I tried to change it to 200, I got such times:

lazy-highlight-buffer-max-at-a-time | time to finish counting
20 (current setting)                | 7 s
200                                 | 2 s

I hope this change will be a big improvement for everyone,
because users will lose less time waiting it to finish,
while keeping isearch still responsive.